MWAWChart::Axis Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWChart::Axis Struct Reference

a axis in a chart More...

`#include <MWAWChart.hxx>`

## Public Types
enum | Type { A_None, A_Numeric, A_Logarithmic, A_Sequence, A_Sequence_Skip_Empty }
| the axis content More...

## Public Member Functions
| Axis ()
| constructor More...
Axis & | operator= (Axis const &)=default
| ~Axis ()
| destructor More...
void | addContentTo (std::string const &sheetName, int coord, librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList More...

## Public Attributes
Type | m_type
| the sequence type More...
bool | m_showGrid
| show or not the grid More...
bool | m_showLabel
| show or not the label More...
MWAWBox2i | m_labelRange
| the label range if defined More...
MWAWGraphicStyle | m_style
| the graphic style More...

## Friends
std::ostream & | operator<< (std::ostream &o, Axis const &axis)
| operator<< More...

## Detailed Description

a axis in a chart

## Member Enumeration Documentation

## ◆ Type

enum MWAWChart::Axis::Type

the axis content

Enumerator
A_None |
A_Numeric |
A_Logarithmic |
A_Sequence |
A_Sequence_Skip_Empty |

## Constructor & Destructor Documentation

## ◆ Axis()

MWAWChart::Axis::Axis | ( |  | ) |

constructor

## ◆ ~Axis()

MWAWChart::Axis::~Axis | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addContentTo()

void MWAWChart::Axis::addContentTo | ( | std::string const & | sheetName,
|  | int | coord,
|  | librevenge::RVNGPropertyList & | propList
| ) |  | const

add content to the propList

Referenced by MWAWChart::sendChart().

## ◆ addStyleTo()

void MWAWChart::Axis::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

Referenced by MWAWChart::sendChart().

## ◆ operator=()

Axis& MWAWChart::Axis::operator= | ( | Axis const & |  | ) |
| default

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWChart::Axis const & | axis
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_labelRange

MWAWBox2i MWAWChart::Axis::m_labelRange

the label range if defined

Referenced by operator<<().

## ◆ m_showGrid

bool MWAWChart::Axis::m_showGrid

show or not the grid

Referenced by operator<<().

## ◆ m_showLabel

bool MWAWChart::Axis::m_showLabel

show or not the label

Referenced by operator<<(), and BeagleWksSSParser::readChart().

## ◆ m_style

MWAWGraphicStyle MWAWChart::Axis::m_style

the graphic style

Referenced by Axis(), and operator<<().

## ◆ m_type

Type MWAWChart::Axis::m_type

the sequence type

Referenced by operator<<().

The documentation for this struct was generated from the following files:

- MWAWChart.hxx
- MWAWChart.cxx